<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_ChemicalsReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Chemicals</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_ChemicalsReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Chemicals, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_ChibazakuraErikaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Chibazakura, Erika</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_ChibazakuraErikaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Chibazakura, Erika [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_ExplanationOfArticle32Paragraph1ItemXOfOrdinanceOnFinancialStatementsEtcTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Explanation of article 32, paragraph (1), item (x) of Ordinance on Financial Statements, etc.</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_ExplanationOfArticle32Paragraph1ItemXOfOrdinanceOnFinancialStatementsEtcTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Explanation of article 32, paragraph (1), item (x) of Ordinance on Financial Statements, etc. [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_FibersReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Fibers</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_FibersReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Fibers, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_GainOnForgivenessOfDebtNOI_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on forgiveness of debt</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_GainOnForgivenessOfDebtNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on forgiveness of debt-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_GainOnSalesOfInvestmentsInCapitalEI_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on sales of investments in capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_GainOnSalesOfInvestmentsInCapitalEI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on sales of investments in capital-EI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_HattoriKazunoriMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hattori, Kazunori</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_HattoriKazunoriMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hattori, Kazunori [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_HaulageAndWarehousingExpensesSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">Haulage and warehousing expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_HaulageAndWarehousingExpensesSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Haulage and warehousing expenses-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_HayanoTakafumiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hayano, Takafumi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_HayanoTakafumiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hayano, Takafumi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_HobbyAndLifeReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hobby and Life</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_HobbyAndLifeReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hobby and Life, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_InnerwearReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Innerwear</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_InnerwearReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Innerwear, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_LongTermGuaranteeDepositsIOA_label" xlink:role="http://www.xbrl.org/2003/role/label">Long-term guarantee deposits</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_LongTermGuaranteeDepositsIOA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Long-term guarantee deposits-IOA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_LossGainOnSalesOfInvestmentsInCapitalOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss (gain) on sales of investments in capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_LossGainOnSalesOfInvestmentsInCapitalOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss (gain) on sales of investments in capital-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_MachineryAndEquipmentReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Machinery and Equipment</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_MachineryAndEquipmentReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Machinery and Equipment, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NakayamaMasateruMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nakayama, Masateru</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NakayamaMasateruMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nakayama, Masateru [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NishimuraHirokiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nishimura, Hiroki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NishimuraHirokiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nishimura, Hiroki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentInCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding gain on sales of investment in capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentInCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding gain on sales of investment in capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding gain on sales of investment securities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding gain on sales of investment securities [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingGainOnTransferOfBusinessTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding gain on transfer of business</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingGainOnTransferOfBusinessTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding gain on transfer of business [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingHeadOfficeTransferCostTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding head office transfer cost</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingHeadOfficeTransferCostTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding head office transfer cost [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding loss on valuation of shares of subsidiaries</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding loss on valuation of shares of subsidiaries [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_OnishiFumihiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Onishi, Fumihiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_OnishiFumihiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Onishi, Fumihiro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_OnoKunihiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ono, Kunihiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_OnoKunihiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ono, Kunihiro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_OuterwearReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Outerwear</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_OuterwearReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Outerwear, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_SalesRelatedExpensesSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">Sales related expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_SalesRelatedExpensesSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sales related expenses-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_SemiconductorsReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Semiconductors</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_SemiconductorsReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Semiconductors, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_TakahashiMasakoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Takahashi, Masako</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_TakahashiMasakoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Takahashi, Masako [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_WriteDownOfInventoriesCostOfSales_label" xlink:role="http://www.xbrl.org/2003/role/label">Write-down of inventories</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_WriteDownOfInventoriesCostOfSales_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Write-down of inventories, cost of sales</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_YoshinagaTadaakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yoshinaga, Tadaaki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02549-000_YoshinagaTadaakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yoshinaga, Tadaaki [member]</link:label>
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_ChemicalsReportableSegmentMember" xlink:label="jpcrp030000-asr_E02549-000_ChemicalsReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_ChibazakuraErikaMember" xlink:label="jpcrp030000-asr_E02549-000_ChibazakuraErikaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_ExplanationOfArticle32Paragraph1ItemXOfOrdinanceOnFinancialStatementsEtcTextBlock" xlink:label="jpcrp030000-asr_E02549-000_ExplanationOfArticle32Paragraph1ItemXOfOrdinanceOnFinancialStatementsEtcTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_FibersReportableSegmentMember" xlink:label="jpcrp030000-asr_E02549-000_FibersReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_GainOnForgivenessOfDebtNOI" xlink:label="jpcrp030000-asr_E02549-000_GainOnForgivenessOfDebtNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_GainOnSalesOfInvestmentsInCapitalEI" xlink:label="jpcrp030000-asr_E02549-000_GainOnSalesOfInvestmentsInCapitalEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_HattoriKazunoriMember" xlink:label="jpcrp030000-asr_E02549-000_HattoriKazunoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_HaulageAndWarehousingExpensesSGA" xlink:label="jpcrp030000-asr_E02549-000_HaulageAndWarehousingExpensesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_HayanoTakafumiMember" xlink:label="jpcrp030000-asr_E02549-000_HayanoTakafumiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_HobbyAndLifeReportableSegmentMember" xlink:label="jpcrp030000-asr_E02549-000_HobbyAndLifeReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_InnerwearReportableSegmentMember" xlink:label="jpcrp030000-asr_E02549-000_InnerwearReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_LongTermGuaranteeDepositsIOA" xlink:label="jpcrp030000-asr_E02549-000_LongTermGuaranteeDepositsIOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_LossGainOnSalesOfInvestmentsInCapitalOpeCF" xlink:label="jpcrp030000-asr_E02549-000_LossGainOnSalesOfInvestmentsInCapitalOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_MachineryAndEquipmentReportableSegmentMember" xlink:label="jpcrp030000-asr_E02549-000_MachineryAndEquipmentReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_NakayamaMasateruMember" xlink:label="jpcrp030000-asr_E02549-000_NakayamaMasateruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_NishimuraHirokiMember" xlink:label="jpcrp030000-asr_E02549-000_NishimuraHirokiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentInCapitalTextBlock" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentInCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_NotesRegardingGainOnTransferOfBusinessTextBlock" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingGainOnTransferOfBusinessTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_NotesRegardingHeadOfficeTransferCostTextBlock" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingHeadOfficeTransferCostTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesTextBlock" xlink:label="jpcrp030000-asr_E02549-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_OnishiFumihiroMember" xlink:label="jpcrp030000-asr_E02549-000_OnishiFumihiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_OnoKunihiroMember" xlink:label="jpcrp030000-asr_E02549-000_OnoKunihiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_OuterwearReportableSegmentMember" xlink:label="jpcrp030000-asr_E02549-000_OuterwearReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_SalesRelatedExpensesSGA" xlink:label="jpcrp030000-asr_E02549-000_SalesRelatedExpensesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_SemiconductorsReportableSegmentMember" xlink:label="jpcrp030000-asr_E02549-000_SemiconductorsReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_TakahashiMasakoMember" xlink:label="jpcrp030000-asr_E02549-000_TakahashiMasakoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_WriteDownOfInventoriesCostOfSales" xlink:label="jpcrp030000-asr_E02549-000_WriteDownOfInventoriesCostOfSales" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02549-000_2024-03-31_02_2024-08-07.xsd#jpcrp030000-asr_E02549-000_YoshinagaTadaakiMember" xlink:label="jpcrp030000-asr_E02549-000_YoshinagaTadaakiMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_ChemicalsReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_ChemicalsReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_ChemicalsReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_ChemicalsReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_ChibazakuraErikaMember" xlink:to="jpcrp030000-asr_E02549-000_ChibazakuraErikaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_ChibazakuraErikaMember" xlink:to="jpcrp030000-asr_E02549-000_ChibazakuraErikaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_ExplanationOfArticle32Paragraph1ItemXOfOrdinanceOnFinancialStatementsEtcTextBlock" xlink:to="jpcrp030000-asr_E02549-000_ExplanationOfArticle32Paragraph1ItemXOfOrdinanceOnFinancialStatementsEtcTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_ExplanationOfArticle32Paragraph1ItemXOfOrdinanceOnFinancialStatementsEtcTextBlock" xlink:to="jpcrp030000-asr_E02549-000_ExplanationOfArticle32Paragraph1ItemXOfOrdinanceOnFinancialStatementsEtcTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_FibersReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_FibersReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_FibersReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_FibersReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_GainOnForgivenessOfDebtNOI" xlink:to="jpcrp030000-asr_E02549-000_GainOnForgivenessOfDebtNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_GainOnForgivenessOfDebtNOI" xlink:to="jpcrp030000-asr_E02549-000_GainOnForgivenessOfDebtNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_GainOnSalesOfInvestmentsInCapitalEI" xlink:to="jpcrp030000-asr_E02549-000_GainOnSalesOfInvestmentsInCapitalEI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_GainOnSalesOfInvestmentsInCapitalEI" xlink:to="jpcrp030000-asr_E02549-000_GainOnSalesOfInvestmentsInCapitalEI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_HattoriKazunoriMember" xlink:to="jpcrp030000-asr_E02549-000_HattoriKazunoriMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_HattoriKazunoriMember" xlink:to="jpcrp030000-asr_E02549-000_HattoriKazunoriMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_HaulageAndWarehousingExpensesSGA" xlink:to="jpcrp030000-asr_E02549-000_HaulageAndWarehousingExpensesSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_HaulageAndWarehousingExpensesSGA" xlink:to="jpcrp030000-asr_E02549-000_HaulageAndWarehousingExpensesSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_HayanoTakafumiMember" xlink:to="jpcrp030000-asr_E02549-000_HayanoTakafumiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_HayanoTakafumiMember" xlink:to="jpcrp030000-asr_E02549-000_HayanoTakafumiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_HobbyAndLifeReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_HobbyAndLifeReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_HobbyAndLifeReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_HobbyAndLifeReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_InnerwearReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_InnerwearReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_InnerwearReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_InnerwearReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_LongTermGuaranteeDepositsIOA" xlink:to="jpcrp030000-asr_E02549-000_LongTermGuaranteeDepositsIOA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_LongTermGuaranteeDepositsIOA" xlink:to="jpcrp030000-asr_E02549-000_LongTermGuaranteeDepositsIOA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_LossGainOnSalesOfInvestmentsInCapitalOpeCF" xlink:to="jpcrp030000-asr_E02549-000_LossGainOnSalesOfInvestmentsInCapitalOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_LossGainOnSalesOfInvestmentsInCapitalOpeCF" xlink:to="jpcrp030000-asr_E02549-000_LossGainOnSalesOfInvestmentsInCapitalOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_MachineryAndEquipmentReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_MachineryAndEquipmentReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_MachineryAndEquipmentReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_MachineryAndEquipmentReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NakayamaMasateruMember" xlink:to="jpcrp030000-asr_E02549-000_NakayamaMasateruMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NakayamaMasateruMember" xlink:to="jpcrp030000-asr_E02549-000_NakayamaMasateruMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NishimuraHirokiMember" xlink:to="jpcrp030000-asr_E02549-000_NishimuraHirokiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NishimuraHirokiMember" xlink:to="jpcrp030000-asr_E02549-000_NishimuraHirokiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentInCapitalTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentInCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentInCapitalTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentInCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingGainOnSalesOfInvestmentSecuritiesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingGainOnTransferOfBusinessTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingGainOnTransferOfBusinessTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingGainOnTransferOfBusinessTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingGainOnTransferOfBusinessTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingHeadOfficeTransferCostTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingHeadOfficeTransferCostTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingHeadOfficeTransferCostTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingHeadOfficeTransferCostTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesTextBlock" xlink:to="jpcrp030000-asr_E02549-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_OnishiFumihiroMember" xlink:to="jpcrp030000-asr_E02549-000_OnishiFumihiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_OnishiFumihiroMember" xlink:to="jpcrp030000-asr_E02549-000_OnishiFumihiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_OnoKunihiroMember" xlink:to="jpcrp030000-asr_E02549-000_OnoKunihiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_OnoKunihiroMember" xlink:to="jpcrp030000-asr_E02549-000_OnoKunihiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_OuterwearReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_OuterwearReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_OuterwearReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_OuterwearReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_SalesRelatedExpensesSGA" xlink:to="jpcrp030000-asr_E02549-000_SalesRelatedExpensesSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_SalesRelatedExpensesSGA" xlink:to="jpcrp030000-asr_E02549-000_SalesRelatedExpensesSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_SemiconductorsReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_SemiconductorsReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_SemiconductorsReportableSegmentMember" xlink:to="jpcrp030000-asr_E02549-000_SemiconductorsReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_TakahashiMasakoMember" xlink:to="jpcrp030000-asr_E02549-000_TakahashiMasakoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_TakahashiMasakoMember" xlink:to="jpcrp030000-asr_E02549-000_TakahashiMasakoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_WriteDownOfInventoriesCostOfSales" xlink:to="jpcrp030000-asr_E02549-000_WriteDownOfInventoriesCostOfSales_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_WriteDownOfInventoriesCostOfSales" xlink:to="jpcrp030000-asr_E02549-000_WriteDownOfInventoriesCostOfSales_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_YoshinagaTadaakiMember" xlink:to="jpcrp030000-asr_E02549-000_YoshinagaTadaakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02549-000_YoshinagaTadaakiMember" xlink:to="jpcrp030000-asr_E02549-000_YoshinagaTadaakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>